<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Transition</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.example-square-div {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 75px;
		height: 75px;
		padding: 0;
		border-radius: 3px;
		background: #e6e6e6;
		line-height: 1.2;
		text-align: center;
		color: #4d4d4d;
	}

	.g-content {
		max-width: 1200px;
		width: 100%;
		margin: 0 auto;
	}

	.example {
		width: 550px;
		padding: 10px;
		border: 1px solid #000;
		box-sizing: border-box;
	}

	.example_1 .example-square-div {
		transition-property: all;
		transition-duration: 1s;
		transition-timing-function: step-start;
	}

	.example_1:hover .example-square-div,
	.example_2:hover .example-square-div,
	.example_3:hover .example-square-div {
		transform: translateX(200px) scale(1.3333);
		background: hsl(348, 100%, 61%);
		color: #fff;
	}

	.example_2 .example-square-div {
		transition-property: all;
		transition-duration: 1s;
		transition-timing-function: step-end;
	}

	.example_3 .example-square-div {
		transition-property: all;
		transition-duration: 1s;
		transition-timing-function: steps(4, end);
	}

</style>
<body>
<!--Пример transition-timing-function: ...-->
<!--Выбираем функцию по которой будем анемировать наш квадрат, больше функций можно посмотреть тут https://easings.net/ru -->
<div class="g-content">
	<h4>
		<code>
			transition-timing-function: step-start;
		</code>
	</h4>
	<div class="example example_1">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition-timing-function: step-end;
		</code>
	</h4>
	<div class="example example_2">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
	<!---->
	<h4>
		<code>
			transition-timing-function: steps(4, end);
		</code>
	</h4>
	<div class="example example_3">
		<div class="example-square-div">
			<p>example</p>
		</div>
	</div>
	<h6>
		<code>
			transform: translateX(200px) scale(1.3333); <br>
			background: hsl(348, 100%, 61%); <br>
			color: #fff; <br>
		</code>
	</h6>
</div>
</body>
</html>